module Types.ReachPoint where

import Linear (V2(..))
import Types.Direction

data ReachPoint = ReachPoint
  { pointType  :: PointType
  , pointCoord :: V2 Int
  , pointDir   :: Direction
  }
  deriving (Eq, Show)

data PointType
  = RoomExit
  | Table
  deriving (Eq, Show)
